/** @file

AIR2 class implementation

Copyright (C) 2002-2005   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: AIR2.cxx,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#include "AIR2.h"
#include "UnaryTransform.h"

using namespace hippodraw;


AIR2::AIR2 ( UnaryTransform * z )
  : PeriodicBinaryTransform ( z, true, true, false, true,
			      0.0, 360.0,
			      - 90.0, + 90.0 )
{
  m_name = "AIR2";
  const std::string projType("AIR");
  double crpix[] = {180, 90}, crval[] = {180,90}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

AIR2::AIR2 ( const AIR2 & t )
  :  PeriodicBinaryTransform ( t )
{
  const std::string projType("AIR");
  double crpix[] = {180, 90}, crval[] = {180,90}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

AIR2::~AIR2 ()
{
}

#ifdef CLONE_DEFECT
TransformBase * AIR2::clone () const
#else
AIR2    * AIR2::clone () const
#endif
{
  return new AIR2 ( *this );
}



/* virtual */
double AIR2::aspectRatio () const
{
  return 1.0;
}



