/** @file

ARC2 class implementation

Copyright (C) 2002-2005   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: ARC2.cxx,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#include "ARC2.h"
#include "UnaryTransform.h"

using namespace hippodraw;


ARC2::ARC2 ( UnaryTransform * z )
  : PeriodicBinaryTransform ( z, true, true, false, true,
			      0.0, +360.0,
			      - 90.0, + 90.0 )
{
  m_name = "ARC2";
  const std::string projType("ARC");
  double crpix[] = {180, 90}, crval[] = {180,90}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

ARC2::ARC2 ( const ARC2 & t )
  :  PeriodicBinaryTransform ( t )
{
  const std::string projType("ARC");
  double crpix[] = {180, 90}, crval[] = {180,90}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

ARC2::~ARC2 ()
{
}

#ifdef CLONE_DEFECT
TransformBase * ARC2::clone () const
#else
ARC2    * ARC2::clone () const
#endif
{
  return new ARC2 ( *this );
}



/* virtual */
double ARC2::aspectRatio () const
{
  return 1.0;
}



