/** @file

Mercator2 class implementation

Copyright (C) 2002-2005   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: Mercator2.cxx,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#include "Mercator2.h"
#include "UnaryTransform.h"

using namespace hippodraw;


Mercator2::Mercator2 ( UnaryTransform * z )
  : PeriodicBinaryTransform ( z, true, true, false, true,
			      0.0, +360.0,
			      - 90.0, + 90.0 )
{
  m_name = "Mercator2";
  const std::string projType("MER");
  double crpix[] = {180, 0}, crval[] = {180,0}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

Mercator2::Mercator2 ( const Mercator2 & t )
  :  PeriodicBinaryTransform ( t )
{
  const std::string projType("MER");
  double crpix[] = {180, 0}, crval[] = {180,0}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

Mercator2::~Mercator2 ()
{
}

#ifdef CLONE_DEFECT
TransformBase * Mercator2::clone () const
#else
Mercator2    * Mercator2::clone () const
#endif
{
  return new Mercator2 ( *this );
}



/* virtual */
double Mercator2::aspectRatio () const
{
  return 2.0;
}



